Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1716)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1717)
@@ -61,5 +61,5 @@
               action_id="release_bed"
               title="Relase Bed" priority="110"
-              icon_expr="door_out.png"/>   
+              icon_expr="door_out.png"/>
  <action-icon category="folder" action_id="portlets"
               title="Manage portlets" priority="270"
@@ -105,4 +105,5 @@
               title="Checkin revision" priority="160"
               icon_expr="actionicon_version_validate.png"/>
+              
  <action-icon category="global" action_id="configThemes"
               title="Portal Themes" priority="0"
@@ -121,4 +122,11 @@
               title="Directories" priority="4"
               icon_expr="actionicon_directories.png"/>
+ <action-icon category="global" action_id="members"
+              title="Portal Members" priority="5"
+              icon_expr="actionicon_directories.png"/>              
+ <action-icon category="global" action_id="waeup_search"
+              title="Search Portal" priority="6"
+              icon_expr="actionicon_search.png"/>     
+                       
  <action-icon category="global_header" action_id="print"
               title="Print" priority="0"
@@ -135,4 +143,5 @@
               title="Contact" priority="0"
               icon_expr="actionicon_email.png"/>
+              
  <action-icon category="user" action_id="login"
               title="Staff Login" priority="0"
@@ -153,4 +162,5 @@
               title="User preferences" priority="5"
               icon_expr="actionicon_user_preferences.png"/>
+              
  <action-icon category="student" action_id="login_staff"
               title="Staff Login" priority="0"
@@ -290,6 +300,3 @@
               icon_expr="actionicon_user_preferences.png"/>
 
- <action-icon category="global" action_id="members"
-              title="Portal Members" priority="5"
-              icon_expr="actionicon_directories.png"/>
 </action-icons>
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1716)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1717)
@@ -22,10 +22,4 @@
    <permission>View</permission>
   </action>
-  <action title="My stuff" action_id="mystuff" category="user"
-     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
-     url_expr="string:${portal/portal_membership/getHomeUrl}/folder_contents"
-     visible="True">
-   <permission>View</permission>
-  </action>
   <action title="action_my_preferences" action_id="preferences"
      category="user"
@@ -45,14 +39,4 @@
  </action-provider>
  <action-provider name="portal_actions">
-  <action title="action_portlets" action_id="portlets" category="folder"
-     condition_expr="member"
-     url_expr="string:${folder_url}/portlet_manage_form" visible="True">
-   <permission>Manage Portlets</permission>
-  </action>
-  <action title="action_accessibility" action_id="accessibility"
-     category="global_header" condition_expr=""
-     url_expr="string:${portal_url}/accessibility" visible="False">
-   <permission>View</permission>
-  </action>
   <action title="action_print" action_id="print" category="global_header"
      condition_expr=""
@@ -61,13 +45,7 @@
    <permission>View</permission>
   </action>
-  <action title="action_advanced_search" action_id="advanced_search"
-     category="global_header" condition_expr=""
-     url_expr="string:./advanced_search_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="action_contact" action_id="contact" category="global_header"
-     condition_expr=""
-     url_expr="string:mailto:${portal/portal_properties/email_from_address}?subject=Info"
-     visible="False">
+  <action title="Search Portal" action_id="waeup_search"
+     category="global" condition_expr="member"
+     url_expr="string:./waeup_search_form" visible="True">
    <permission>View</permission>
   </action>
@@ -76,17 +54,4 @@
      url_expr="string:${portal_url}/vocabularies_manage_form" visible="False">
    <permission>Modify portal content</permission>
-  </action>
-  <action title="action_add_favorites" action_id="add_favorites"
-     category="user"
-     condition_expr="python: member and portal.portal_membership.getHomeFolder()"
-     url_expr="string:${object/absolute_url}/addtoFavorites" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="action_view_favorites" action_id="view_favorites"
-     category="user"
-     condition_expr="python: hasattr(portal.portal_membership.getHomeFolder(),&quot;Favorites&quot;)"
-     url_expr="string:${portal/portal_membership/getHomeUrl}/Favorites"
-     visible="False">
-   <permission>View</permission>
   </action>
   <action title="Directories" action_id="directories" category="global"
@@ -215,13 +180,5 @@
   </action>
  </action-provider>
- <action-provider name="portal_themes">
-  <action title="_action_themes_reconfig_" action_id="configThemes"
-     category="global"
-     condition_expr="python: member and portal.portal_membership.checkPermission('Manage Themes', portal.portal_themes)"
-     url_expr="string:${portal_url}/cpsskins_themes_reconfig_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
- </action-provider>
+ <action-provider name="portal_themes" />
  <action-provider name="portal_types"/>
  <action-provider name="portal_syndication"/>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_search_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_search_form.pt	(revision 1717)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_search_form.pt	(revision 1717)
@@ -0,0 +1,146 @@
+<html xmlns:tal="http://xml.zope.org/namespaces/tal"
+      xmlns:metal="http://xml.zope.org/namespaces/metal"
+      metal:use-macro="here/main_template/macros/master">
+  <body>
+  <metal:block metal:fill-slot="main">
+  <tal:block define="SearchableText python:request.get('SearchableText','');
+                     sort_by python:request.get('sort_by', '');
+                     direction python:request.get('direction', '');
+                     folder_prefix python:request.get('folder_prefix', '');
+                     items python:here.search(query=request.form,
+                                              sort_by=sort_by,
+                                              direction=direction,
+                                              folder_prefix=folder_prefix);
+                     nav_action string:search_form;
+                     no_form python:1;
+                     site_wide python:1;
+                     items_length python:len(items);
+                     format string:detail;
+                     filter python:0;
+                     title_search request/title_search|nothing;
+                     swr request/search_within_results|nothing;
+                    ">
+
+    <div style="text-align:right;" class="group">
+      <form id="searchFormBottom" method="get" action="search_form"
+        onsubmit="return checkEmptySearch(this)">
+        <div class="label">
+          <label for="resultSearchText"
+                 i18n:translate="label_text_to_search">
+            Text to search
+          </label>
+        <input type="text" name="SearchableText" id="resultSearchText"
+               value="" class="focus" size="40"
+               tal:attributes="value SearchableText" />
+        <input class="standalone searchButton" type="submit" value="button_ok"
+               i18n:attributes="value" />
+        </div>
+        <tal:block condition="not:swr">
+          <metal:block
+            use-macro="here/generic_lib_search_folder_prefix_option/macros/search_folder_prefix_option" />
+        </tal:block>
+        <tal:block condition="swr"
+          define="criteria python:['search_within_results', 'title_search',
+                                   'folder_prefix', 'review_state'];
+                  criteria_list python:['portal_type'];">
+          <tal:block repeat="criterion criteria">
+            <input type="hidden" tal:condition="value"
+              tal:define="value request/?criterion|nothing"
+              tal:attributes="name criterion;
+                              value value" />
+          </tal:block>
+          <tal:block repeat="criterion criteria_list">
+            <tal:block tal:condition="values"
+               tal:define="values request/?criterion|nothing">
+              <tal:block repeat="value values">
+                <input type="hidden"
+                  tal:define="value value"
+                  tal:attributes="name python:criterion+':list'; value value" />
+              </tal:block>
+            </tal:block>
+          </tal:block>
+        </tal:block>
+     </form>
+    </div>
+                    
+    <h3 tal:condition="not:title_search"
+      i18n:translate="heading_search_results">Search Results</h3>
+    <h3 tal:condition="title_search"
+      tal:content="title_search">Title for search results</h3>
+
+    <p tal:condition="python:items_length == 0">
+      <tal:block i18n:translate="legend_no_search_result">
+        Your query gave no result.
+      </tal:block>
+      <tal:block i18n:translate="legend_search_for">
+        You searched for
+      </tal:block>
+      <span class="searchFor" tal:content="SearchableText">SearchableText</span>.
+    </p>
+    <p tal:condition="python:items_length == 1"
+       i18n:translate="legend_one_search_result">
+      Your query gave 1 result.
+    </p>
+    <p tal:condition="python:items_length > 1"
+       i18n:translate="">
+      Your query gave <span class="emphasis"
+                            tal:content="items_length"
+                            i18n:name="nb_results">n</span> results.
+    </p>
+
+      
+<table width="100%" cellspacing="0" cellpadding="2"
+      class="folderButtons"
+      tal:define="can_add python:checkPerm('Add portal content', here);
+                  can_del python:checkPerm('Delete objects', here);">
+
+
+
+  <thead>
+  <tr><td><strong>Title</strong></td><td><strong>Id</strong></td><td><strong>Type</strong></td>
+      <td><strong>Status</strong></td></tr>
+  </thead>
+
+  <tbody tal:repeat="item items">
+
+  <tr><td></td><td></td><td></td></tr>
+
+  <tr tal:define="objURL string:${item/getURL}/view;
+                  objPath item/getPath;
+                  title item/Title;
+                 ">
+  <td>
+  <a href="url"
+      tal:attributes="href objURL">
+   <span tal:content="python: title or '(No title)'" />
+  </a>
+  </td>
+
+  <td i18n:translate="">
+    <span tal:replace="item/id" />
+  </td>
+  
+  <td>
+    <span tal:replace="item/portal_type" />
+  </td>
+
+  <td>
+    <span tal:replace="item/review_state" />
+  </td>
+
+ </tr>
+
+
+ </tbody>
+</table>
+
+
+
+
+    <div style="text-align:right;" class="group">
+    </div>
+  </tal:block>
+
+  </metal:block>
+  </body>
+</html>