Index: /WAeUP_SRP/trunk/profiles/default/eventservice.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/eventservice.xml	(revision 1732)
+++ /WAeUP_SRP/trunk/profiles/default/eventservice.xml	(revision 1732)
@@ -0,0 +1,60 @@
+<?xml version="1.0"?>
+<object name="portal_eventservice" meta_type="CPS Event Service Tool">
+ <object name="subscriber_cpsportlets" meta_type="CPS Subscriber Definition">
+  <property name="subscriber">portal_cpsportlets</property>
+  <property name="action">event</property>
+  <property name="meta_type_">*</property>
+  <property name="event_type">
+   <element value="*"/>
+  </property>
+  <property name="notification_type">synchronous</property>
+  <property name="compressed">False</property>
+  <property name="activated">True</property>
+ </object>
+ <object name="subscriber_proxies" meta_type="CPS Subscriber Definition">
+  <property name="subscriber">portal_proxies</property>
+  <property name="action">proxy</property>
+  <property name="meta_type_">*</property>
+  <property name="event_type">
+   <element value="*"/>
+  </property>
+  <property name="notification_type">synchronous</property>
+  <property name="compressed">False</property>
+  <property name="activated">True</property>
+ </object>
+ <object name="subscriber_trees" meta_type="CPS Subscriber Definition">
+  <property name="subscriber">portal_trees</property>
+  <property name="action">tree</property>
+  <property name="meta_type_">*</property>
+  <property name="event_type">
+   <element value="*"/>
+  </property>
+  <property name="notification_type">synchronous</property>
+  <property name="compressed">False</property>
+  <property name="activated">True</property>
+ </object>
+ <object name="subscriber_1178191852769"
+    meta_type="CPS Subscriber Definition">
+  <property name="subscriber">students_catalog</property>
+  <property name="action">event_listener</property>
+  <property name="meta_type_">*</property>
+  <property name="event_type">
+   <element value="*"/>
+  </property>
+  <property name="notification_type">synchronous</property>
+  <property name="compressed">False</property>
+  <property name="activated">True</property>
+ </object>
+ <object name="subscriber_1178191864769"
+    meta_type="CPS Subscriber Definition">
+  <property name="subscriber">courses_catalog</property>
+  <property name="action">event_listener</property>
+  <property name="meta_type_">*</property>
+  <property name="event_type">
+   <element value="*"/>
+  </property>
+  <property name="notification_type">synchronous</property>
+  <property name="compressed">False</property>
+  <property name="activated">True</property>
+ </object>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1731)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1732)
@@ -33,4 +33,17 @@
   <property name="vocabulary">courselevel</property>
  </widget>
+ <widget name="current_study_mode" meta_type="Select Widget">
+  <property name="title">Current Study Mode</property>
+  <property name="fields">
+   <element value="current_study_mode"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Current Study Mode</property>
+  <property name="label_edit">Current Study Mode</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget> 
  <widget name="current_verdict" meta_type="Select Widget">
   <property name="title">Current Verdict</property>
@@ -56,4 +69,7 @@
    <cell name="current_level"/>
   </row>
+  <row>
+   <cell name="current_study_mode"/>
+  </row>  
  </table>
 </object>
Index: eUP_SRP/trunk/profiles/default/vocabularies/student_import_mode.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/student_import_mode.xml	(revision 1731)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="verdicts" meta_type="CPS Vocabulary">
- <property name="title"></property>
- <property name="title_msgid"></property>
- <property name="description"></property>
- <property name="acl_write_roles">Manager</property>
- <item key="" msgid=""></item>
- <item key="adm_pt" msgid="">Admitted Parttime</item>
- <item key="adm_ft" msgid="">Admitted Fulltime</item>
- <item key="adm_dp" msgid="">Admitted Diploma</item>
- <item key="adm_pg" msgid="">Admitted Postgraduate</item>
- <item key="ret_pt" msgid="">Returning Parttime</item>
- <item key="ret_ft" msgid="">Returning Fulltime</item>
- <item key="ret_dp" msgid="">Returning Diploma</item>
- <item key="defered" msgid=""></item>
-</object>