Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 1734)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 1734)
@@ -0,0 +1,130 @@
+<tal:block define="
+    rendered_main python:here.cpsdocument_edit_render(request=request);
+    form_action string:cpsdocument_edit;
+    creation python:False;
+    edition python:True;
+    metadata metadata|nothing;
+    ">
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="style_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+
+    <metal:block define-macro="widgets_javascript">
+    <!-- XXX this has to move to CPSSchemas -->
+    <style type="text/css"
+      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
+    <script type="text/javascript" src="calendar.js"
+      tal:attributes="src string:${base_url}calendar.js"></script>
+    <script type="text/javascript" src="lang/calendar-en.js"
+      tal:define="local cpsmcat/getSelectedLanguage"
+      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
+    <script type="text/javascript" src="calendar-setup.js"
+      tal:attributes="src string:${base_url}calendar-setup.js"></script>
+    <script type="text/javascript" src="prototype.js"
+      tal:attributes="src string:${base_url}prototype.js"></script>
+    <script type="text/javascript" src="effects.js"
+      tal:attributes="src string:${base_url}effects.js"></script>
+    <script type="text/javascript" src="controls.js"
+      tal:attributes="src string:${base_url}controls.js"></script>
+    <script type="text/javascript" src="cpsdocument.js"
+      tal:attributes="src string:${base_url}cpsdocument.js"></script>
+    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
+      <script type="text/javascript">
+        var popup_editor_form = 'popup_fckeditor_form';
+        var width = 640;
+        var height = 520;
+      </script>
+    </tal:block>
+    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.Epoz')">
+      <script type="text/javascript">
+        var popup_editor_form = 'popup_rte_form';
+        var width = 640;
+        var height = 480;
+      </script>
+    </tal:block>
+    <script type="text/javascript">
+     function popup_rte(input_id, label_edit) {
+       var args, value;
+       value = document.getElementById(input_id).value;
+       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
+       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
+       popup = window.open(popup_editor_form + args, input_id, str_window_features);
+       if (!popup.opener) {
+         popup.opener = window;
+       }
+       return false;
+     }
+   </script>
+   </metal:block>
+  </metal:block>
+
+  <metal:block fill-slot="header">
+    <h3 tal:condition="creation" i18n:translate="">
+      Create a document of type
+      <tal:block i18n:name="type_name" i18n:translate=""
+            tal:define="type_name request/type_name;
+                        type_info python:here.portal_types[type_name]"
+            tal:content="type_info/Title">Type Title</tal:block>
+    </h3>
+    <h1 tal:condition="not:creation">
+      <tal:block condition="python: edition and not metadata"
+        i18n:translate="">Edit <span id="page_title" i18n:name="title"
+        tal:content="here/title_or_id">Page Title</span></tal:block>
+      <tal:block tal:condition="metadata"
+        i18n:translate="">Metadata of <span i18n:name="title" tal:content="here/title_or_id">Page Title</span></tal:block>
+    </h1>
+  </metal:block>
+
+  <metal:block fill-slot="main">
+    <form action="ACTION" method="post" id="editForm"
+          enctype="multipart/form-data" class="workflow"
+          tal:attributes="action form_action">
+      <div class="group">
+        <div class="documentFields">
+          <tal:block define="getFormUidHtml nocall:modules/Products.CPSDocument.utils/getFormUidHtml"
+                     replace="structure python:getFormUidHtml(request)"/>
+          <input type="hidden" name="type_name" value="VALUE"
+                 tal:condition="creation"
+                 tal:attributes="value request/type_name" />
+          <input type="hidden" id="button_placeholder" name="button_placeholder" value="" />
+          <div id="rendered_main" tal:content="structure rendered_main">
+            CONTENT
+          </div>
+        </div>
+
+        <tal:block condition="not:creation">
+          <div class="tooltipArea" style="visibility: hidden;"
+               id="transition_comments_help"
+               onclick="showElement(false, 'transition_comments_help')"
+               i18n:translate="help_transition_comments_modification">
+            In this field you can give the reason for the modification
+            on this document. Your comments may be used to notify other users.
+          </div>
+          <dl>
+            <dt><label for="comments"
+                       i18n:translate="transition_comments_modification"
+                       >Reason of the modification</label>
+              <button type="button" class="tooltipControl"
+                      onclick="toggleElementVisibility('transition_comments_help')"> ? </button>
+            </dt>
+            <dd>
+              <textarea name="comments" id="comments" cols="60" rows="3"
+                        tal:content="nothing">
+              </textarea>
+            </dd>
+          </dl>
+        </tal:block>
+
+        <metal:block use-macro="here/cpsdocument_edit_buttons/macros/buttons"/>
+      </div>
+    </form>
+    <div id="ajax_psm" style="display:none">
+      ajax feedback
+    </div>
+  </metal:block>
+
+</metal:block>
+</metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_custom/search_form.pt_parked
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/search_form.pt_parked	(revision 1700)
+++ 	(revision )
@@ -1,103 +1,0 @@
-<html xmlns:tal="http://xml.zope.org/namespaces/tal"
-      xmlns:metal="http://xml.zope.org/namespaces/metal"
-      metal:use-macro="here/main_template/macros/master">
-  <body>
-  <metal:block metal:fill-slot="main">
-  <tal:block define="SearchableText python:request.get('SearchableText','');
-                     sort_by python:request.get('sort_by', '');
-                     direction python:request.get('direction', '');
-                     folder_prefix python:request.get('folder_prefix', '');
-                     items python:here.search(query=request.form,
-                                              sort_by=sort_by,
-                                              direction=direction,
-                                              folder_prefix=folder_prefix);
-                     nav_action string:search_form;
-                     no_form python:1;
-                     site_wide python:1;
-                     items_length python:len(items);
-                     format string:detail;
-                     filter python:0;
-                     title_search request/title_search|nothing;
-                     swr request/search_within_results|nothing;
-                    ">
-    <h1 tal:condition="not:title_search"
-      i18n:translate="heading_search_results">Search Results</h1>
-    <h1 tal:condition="title_search"
-      tal:content="title_search">Title for search results</h1>
-
-    <p tal:condition="python:items_length == 0">
-      <tal:block i18n:translate="legend_no_search_result">
-        Your query gave no result.
-      </tal:block>
-      <tal:block i18n:translate="legend_search_for">
-        You searched for
-      </tal:block>
-      <span class="searchFor" tal:content="SearchableText">SearchableText</span>.
-    </p>
-    <p tal:condition="python:items_length == 1"
-       i18n:translate="legend_one_search_result">
-      Your query gave 1 result.
-    </p>
-    <p tal:condition="python:items_length > 1"
-       i18n:translate="">
-      Your query gave <span class="emphasis"
-                            tal:content="items_length"
-                            i18n:name="nb_results">n</span> results.
-    </p>
-
-      
-<table width="100%" cellspacing="0" cellpadding="2"
-      class="folderButtons"
-      tal:define="can_add python:checkPerm('Add portal content', here);
-                  can_del python:checkPerm('Delete objects', here);">
-
-
-
-  <thead>
-  <tr><td><strong>Title</strong></td><td><strong>Id</strong></td><td><strong>Type</strong></td>
-      <td><strong>Status</strong></td></tr>
-  </thead>
-
-  <tbody tal:repeat="item items">
-
-  <tr><td></td><td></td><td></td></tr>
-
-  <tr tal:define="objURL string:${item/getURL}/view;
-                  objPath item/getPath;
-                  title item/Title;
-                 ">
-  <td>
-  <a href="url"
-      tal:attributes="href objURL">
-   <span tal:content="python: title or '(No title)'" />
-  </a>
-  </td>
-
-  <td i18n:translate="">
-    <span tal:replace="item/id" />
-  </td>
-  
-  <td>
-    <span tal:replace="item/portal_type" />
-  </td>
-
-  <td>
-    <span tal:replace="item/review_state" />
-  </td>
-
- </tr>
-
-
- </tbody>
-</table>
-
-
-
-
-    <div style="text-align:right;" class="group">
-    </div>
-  </tal:block>
-
-  </metal:block>
-  </body>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt_not_working_properly
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/widget_boolean_render.pt_not_working_properly	(revision 1700)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<tal:block define="mode options/mode;
-                   value options/value;
-                   label_value options/label_value;
-                   render_format options/render_format">
-
-<tal:block condition="python:mode == 'view'">
-  <tal:block content="label_value"/>
-</tal:block>
-
-<tal:block condition="python:mode == 'edit'">
-  <tal:block define="true_checked value;
-    ">
-    <tal:checkbox condition="python:render_format == 'checkbox'">
-      <input type="checkbox" value="True"
-             tal:attributes="checked true_checked;
-                             name string:${here/getHtmlWidgetId}:boolean;
-                             id string:${here/getHtmlWidgetId};
-              "/>
-      <input type="hidden" value=""
-             tal:attributes="name string:${here/getHtmlWidgetId}:boolean:default;" />
-    </tal:checkbox>
-
-    <tal:radio condition="python:render_format == 'radio'">
-      <fieldset class="widget"
-                tal:attributes="id string:${here/getHtmlWidgetId}">
-      <input type="radio" value="True"
-             tal:attributes="checked true_checked;
-                             id string:${here/getHtmlWidgetId}_true;
-                             name string:${here/getHtmlWidgetId}:boolean;" />
-      <label tal:content="here/label_true"
-             tal:attributes="for string:${here/getHtmlWidgetId}_true"
-             i18n:translate="" > True </label><br/>
-      <input type="radio" value="False"
-             tal:attributes="checked not:true_checked;
-                             id string:${here/getHtmlWidgetId}_false;
-                             name string:${here/getHtmlWidgetId}:boolean;" />
-      <label tal:content="here/label_false"
-             tal:attributes="for string:${here/getHtmlWidgetId}_false"
-             i18n:translate="" > False </label><br/>
-      </fieldset>
-    </tal:radio>
-
-    <tal:select condition="python:render_format == 'select'">
-      <select tal:attributes="
-              name string:${here/getHtmlWidgetId}:boolean;
-              id string:${here/getHtmlWidgetId};
-          ">
-        <option value="True"
-                tal:attributes="selected true_checked"
-                tal:content="here/label_true"
-                i18n:translate="" />
-        <option value="False"
-                tal:attributes="selected not:true_checked"
-                tal:content="here/label_false"
-                i18n:translate="" />
-      </select>
-    </tal:select>
-
-  </tal:block>
-
-</tal:block>
-
-</tal:block>