Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1735)
@@ -275,18 +275,4 @@
   <property name="view_format">iso8601_medium_easy</property>
  </widget>
- <widget name="entry_session" meta_type="String Widget">
-  <property name="title">Entry Session</property>
-  <property name="fields">
-   <element value="entry_session"/>
-  </property>
-  <property name="label">Entry Session</property>
-  <property name="label_edit">Entry Session</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="evid" meta_type="Image Widget">
   <property name="title">Evidence of Name</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1735)
@@ -276,19 +276,4 @@
   <property name="view_format">iso8601_medium_easy</property>
  </widget>
- <widget name="entry_session" meta_type="String Widget">
-  <property name="title">Entry Session</property>
-  <property name="fields">
-   <element value="entry_session"/>
-  </property>
-  <property name="label">Entry Session</property>
-  <property name="label_edit">Entry Session</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="evid" meta_type="Image Widget">
   <property name="title">Evidence of Name</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 1735)
@@ -33,8 +33,8 @@
   <property name="vocabulary">courselevel</property>
  </widget>
- <widget name="current_study_mode" meta_type="Select Widget">
+ <widget name="current_mode" meta_type="Select Widget">
   <property name="title">Current Study Mode</property>
   <property name="fields">
-   <element value="current_study_mode"/>
+   <element value="current_mode"/>
   </property>
   <property name="is_required">False</property>
@@ -45,5 +45,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">entry_modes</property>
- </widget> 
+ </widget>
  <widget name="current_verdict" meta_type="Select Widget">
   <property name="title">Current Verdict</property>
@@ -70,6 +70,6 @@
   </row>
   <row>
-   <cell name="current_study_mode"/>
-  </row>  
+   <cell name="current_mode"/>
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1735)
@@ -6,5 +6,5 @@
  <field name="lastname" meta_type="CPS String Field"/>
  <field name="sex" meta_type="CPS String Field"/>
- <field name="religion" meta_type="CPS String Field"/>
+ <field name="matric_no" meta_type="CPS String Field"/>
  <field name="jamb_reg_no" meta_type="CPS String Field"/>
  <field name="entry_mode" meta_type="CPS String Field"/>
@@ -12,8 +12,5 @@
  <field name="jamb_score" meta_type="CPS Int Field"/>
  <field name="pume_score" meta_type="CPS Int Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
- <field name="department" meta_type="CPS String Field"/>
  <field name="study_course" meta_type="CPS String Field"/>
- <field name="matric_no" meta_type="CPS String Field"/>
  <field name="nationality" meta_type="CPS String Field"/>
  <field name="lga" meta_type="CPS String Field"/>
@@ -23,3 +20,4 @@
  <field name="current_session" meta_type="CPS String Field"/>
  <field name="current_verdict" meta_type="CPS String Field"/>
+ <field name="perm_address" meta_type="CPS String Field"/> 
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1735)
@@ -8,7 +8,6 @@
  <field name="entry_mode" meta_type="CPS String Field"/>
  <field name="entry_session" meta_type="CPS String Field"/>
- <field name="entry_level" meta_type="CPS String Field"/>
-  <field name="objection_date" meta_type="CPS DateTime Field"/>
-  <field name="jamb_age" meta_type="CPS Int Field"/>
+ <field name="objection_date" meta_type="CPS DateTime Field"/>
+ <field name="jamb_age" meta_type="CPS Int Field"/>
  <field name="import_mode" meta_type="CPS String Field"/>
  <field name="jamb_first_cos" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1734)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 1735)
@@ -14,5 +14,4 @@
  <field name="request_date" meta_type="CPS DateTime Field"/>
  <field name="cleared_date" meta_type="CPS DateTime Field"/>
- <field name="entry_session" meta_type="CPS String Field"/>
 
  <field name="birthday" meta_type="CPS DateTime Field"/>